import request from '@/utils/request'

// 查询文创产品类别列表
export function listCulturalType(query) {
    return request({
        url: '/vrone/backend/culturalTypes/list',
        method: 'get',
        params: query
    })
}

// 查询文创产品类别详细
export function getCulturalType(id) {
    return request({
        url: '/vrone/backend/culturalTypes/' + id,
        method: 'get'
    })
}

// 新增文创产品类别
export function addCulturalType(data) {
    return request({
        url: '/vrone/backend/culturalTypes',
        method: 'post',
        data: data
    })
}

// 修改文创产品类别
export function updateCulturalType(data) {
    return request({
        url: '/vrone/backend/culturalTypes',
        method: 'put',
        data: data
    })
}

// 删除文创产品类别
export function delCulturalType(id) {
    return request({
        url: '/vrone/backend/culturalTypes/' + id,
        method: 'delete'
    })
}
